NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::DieInsertBuilder Class Reference

Represents die insert builder. More...

Inheritance diagram for NXOpen::Tooling::DieInsertBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BoundingBoxTypeItems { BoundingBoxTypeItemsBlock, BoundingBoxTypeItemsCylinder }
 Specifies the bounding box type. More...
 
enum  DieInsertTypeItems { DieInsertTypeItemsDieInsert, DieInsertTypeItemsBackingInsert }
 Specifies the type of insert. More...
 
enum  InsertModeItems { InsertModeItemsStandardInsert, InsertModeItemsSketchProfile, InsertModeItemsBoundingBox }
 Specifies the insert mode for die. More...
 
enum  PositionItems { PositionItemsTop, PositionItemsBottom }
 Specifies the position of piercing inserts, for EDW only. More...
 

Public Member Functions

void AddDieInsertPart ()
 Add die insert or backing insert part into assembly when creating user defined insert datum plane
Created in NX11.0.0. More...
 
NXOpen::Tooling::DieInsertBuilder::BoundingBoxTypeItems BoundingBoxType ()
 Returns the bounding box type
Created in NX11.0.0. More...
 
NXOpen::Point3d BoxPosition ()
 Returns the position of csys for box. More...
 
void CalculateBoxSize ()
 Calculate box size and set directions, edge length, lower point position. More...
 
bool ConceptDesign ()
 Returns the value indicating if the design is for a concept. More...
 
void CreateUserDefinedDieInsert ()
 Create user defined die insert or backing insert for selected scraps when creating die insert by user defined type
Created in NX11.0.0. More...
 
void CreateUserDefinedInsertDatumPlane ()
 Create datum plane for user defined die or backing insert outline. More...
 
NXOpen::Tooling::DieInsertBuilder::DieInsertTypeItems DieInsertType ()
 Returns the die insert type. More...
 
NXOpen::TaggedObjectDieStandardInsertInstance ()
 Returns the die standard insert instance. More...
 
NXOpen::Tooling::DieInsertBuilder::InsertModeItems InsertMode ()
 Returns the insert mode
Created in NX11.0.0. More...
 
NXString NewPartNames ()
 Returns the new component names. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionNegativeX ()
 Returns the offset value linear dimension negative x
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionNegativeY ()
 Returns the offset value linear dimension negative y
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionNegativeZ ()
 Returns the offset value linear dimension negative z
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionPositiveX ()
 Returns the offset value linear dimension positive x
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionPositiveY ()
 Returns the offset value linear dimension positive y
Created in NX11.0.0. More...
 
NXOpen::ExpressionOffsetValueLinearDimensionPositiveZ ()
 Returns the offset value linear dimension positive z
Created in NX11.0.0. More...
 
NXString ParentPartName ()
 Returns the parent part name to create insert. More...
 
NXOpen::Tooling::DieInsertBuilder::PositionItems Position ()
 Returns the die insert position. More...
 
NXOpen::ExpressionRadialOffset ()
 Returns the radial offset value for cylinder box
Created in NX11.0.0. More...
 
bool RenameDialog ()
 Returns the rename dialog option for normal pierce design. More...
 
NXOpen::SectionSelectDieInsertOutline ()
 Returns the select die insert outline
Created in NX11.0.0. More...
 
NXOpen::SelectBodyListSelectScrap ()
 Returns the select scraps for pierce insert design. More...
 
NXOpen::SelectBodyListSelectUserDefinedDieInsertForEdit ()
 Returns the select user defined insert to edit
Created in NX11.0.0. More...
 
NXOpen::DirectionSelectVector ()
 Returns the select vector
Created in NX11.0.0. More...
 
void SetBoundingBoxType (NXOpen::Tooling::DieInsertBuilder::BoundingBoxTypeItems boundingBoxType)
 Sets the bounding box type
Created in NX11.0.0. More...
 
void SetBoxPosition (const NXOpen::Point3d &csysOrigin)
 Sets the position of csys for box. More...
 
void SetConceptDesign (bool conceptDesign)
 Sets the value indicating if the design is for a concept. More...
 
void SetDieInsertType (NXOpen::Tooling::DieInsertBuilder::DieInsertTypeItems dieInsertType)
 Sets the die insert type. More...
 
void SetDieStandardInsertInstance (NXOpen::TaggedObject *dieStandardInsertInstance)
 Sets the die standard insert instance. More...
 
void SetInsertMode (NXOpen::Tooling::DieInsertBuilder::InsertModeItems insertMode)
 Sets the insert mode
Created in NX11.0.0. More...
 
void SetManipulatorToMatrixAndPosition (const NXOpen::Matrix3x3 &matrix, const NXOpen::Point3d &position)
 Sets box csys matrix. More...
 
void SetNewPartNames (const NXString &newPartNames)
 Sets the new component names. More...
 
void SetNewPartNames (const char *newPartNames)
 Sets the new component names. More...
 
void SetParentPartName (const NXString &parentPartName)
 Sets the parent part name to create insert. More...
 
void SetParentPartName (const char *parentPartName)
 Sets the parent part name to create insert. More...
 
void SetPosition (NXOpen::Tooling::DieInsertBuilder::PositionItems position)
 Sets the die insert position. More...
 
void SetRenameDialog (bool renameDialog)
 Sets the rename dialog option for normal pierce design. More...
 
void SetSelectVector (NXOpen::Direction *selectVector)
 Sets the select vector
Created in NX11.0.0. More...
 
void SetUserDefinedDieInsertClearance (double userDefinedDieInsertClearance)
 Sets the user defined die insert clearance
Created in NX11.0.0. More...
 
void SetWithoutFalseBody (bool withoutFalseBody)
 Sets the option of whether to create false body for die or backing insert. More...
 
void StandardDieInsert ()
 Insert the standard die by invoking standard part management dialog
Created in NX11.0.0. More...
 
double UserDefinedDieInsertClearance ()
 Returns the user defined die insert clearance
Created in NX11.0.0. More...
 
NXOpen::ExpressionUserDefinedDieInsertHeight ()
 Returns the user defined die insert height
Created in NX11.0.0. More...
 
bool WithoutFalseBody ()
 Returns the option of whether to create false body for die or backing insert. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents die insert builder.


To create a new instance of this class, use NXOpen::Tooling::ProgressiveDieManager::CreateDieInsertBuilder
Default values.

Property Value

BoundingBoxType

Block

ConceptDesign

0

DieInsertType

DieInsert

InsertMode

StandardInsert

Position

Bottom

RenameDialog

0

UserDefinedDieInsertClearance

0

UserDefinedDieInsertHeight.Value

0 (millimeters part), 0 (inches part)

WithoutFalseBody

0


Created in NX11.0.0.

Member Enumeration Documentation

Specifies the bounding box type.

Enumerator
BoundingBoxTypeItemsBlock 

The bounding box type is Block.

BoundingBoxTypeItemsCylinder 

The bounding box type is Cylinder.

Specifies the type of insert.

Enumerator
DieInsertTypeItemsDieInsert 

die insert

DieInsertTypeItemsBackingInsert 

backing insert

Specifies the insert mode for die.

Enumerator
InsertModeItemsStandardInsert 

The die insert mode is standard insert.

InsertModeItemsSketchProfile 

The die insert mode is sketch profile.

InsertModeItemsBoundingBox 

The die insert mode is bounding box.

Specifies the position of piercing inserts, for EDW only.

Enumerator
PositionItemsTop 

The position is top side.

PositionItemsBottom 

The position is bottom side.

Member Function Documentation

void NXOpen::Tooling::DieInsertBuilder::AddDieInsertPart ( )

Add die insert or backing insert part into assembly when creating user defined insert datum plane
Created in NX11.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Tooling::DieInsertBuilder::BoundingBoxTypeItems NXOpen::Tooling::DieInsertBuilder::BoundingBoxType ( )

Returns the bounding box type
Created in NX11.0.0.



License requirements : None

NXOpen::Point3d NXOpen::Tooling::DieInsertBuilder::BoxPosition ( )

Returns the position of csys for box.


Created in NX11.0.0.

License requirements : None

void NXOpen::Tooling::DieInsertBuilder::CalculateBoxSize ( )

Calculate box size and set directions, edge length, lower point position.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Tooling::DieInsertBuilder::ConceptDesign ( )

Returns the value indicating if the design is for a concept.

True indicates it is a concept design.
Created in NX11.0.0.

License requirements : None

void NXOpen::Tooling::DieInsertBuilder::CreateUserDefinedDieInsert ( )

Create user defined die insert or backing insert for selected scraps when creating die insert by user defined type
Created in NX11.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Tooling::DieInsertBuilder::CreateUserDefinedInsertDatumPlane ( )

Create datum plane for user defined die or backing insert outline.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Tooling::DieInsertBuilder::DieInsertTypeItems NXOpen::Tooling::DieInsertBuilder::DieInsertType ( )

Returns the die insert type.


Created in NX11.0.0.

License requirements : None

NXOpen::TaggedObject* NXOpen::Tooling::DieInsertBuilder::DieStandardInsertInstance ( )

Returns the die standard insert instance.


Created in NX11.0.0.

License requirements : None

NXOpen::Tooling::DieInsertBuilder::InsertModeItems NXOpen::Tooling::DieInsertBuilder::InsertMode ( )

Returns the insert mode
Created in NX11.0.0.



License requirements : None

NXString NXOpen::Tooling::DieInsertBuilder::NewPartNames ( )

Returns the new component names.


Created in NX11.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::DieInsertBuilder::OffsetValueLinearDimensionNegativeX ( )

Returns the offset value linear dimension negative x
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::DieInsertBuilder::OffsetValueLinearDimensionNegativeY ( )

Returns the offset value linear dimension negative y
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::DieInsertBuilder::OffsetValueLinearDimensionNegativeZ ( )

Returns the offset value linear dimension negative z
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::DieInsertBuilder::OffsetValueLinearDimensionPositiveX ( )

Returns the offset value linear dimension positive x
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::DieInsertBuilder::OffsetValueLinearDimensionPositiveY ( )

Returns the offset value linear dimension positive y
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::DieInsertBuilder::OffsetValueLinearDimensionPositiveZ ( )

Returns the offset value linear dimension positive z
Created in NX11.0.0.



License requirements : None

NXString NXOpen::Tooling::DieInsertBuilder::ParentPartName ( )

Returns the parent part name to create insert.


Created in NX11.0.0.

License requirements : None

NXOpen::Tooling::DieInsertBuilder::PositionItems NXOpen::Tooling::DieInsertBuilder::Position ( )

Returns the die insert position.


Created in NX11.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Tooling::DieInsertBuilder::RadialOffset ( )

Returns the radial offset value for cylinder box
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::DieInsertBuilder::RenameDialog ( )

Returns the rename dialog option for normal pierce design.


Created in NX11.0.0.

License requirements : None

NXOpen::Section* NXOpen::Tooling::DieInsertBuilder::SelectDieInsertOutline ( )

Returns the select die insert outline
Created in NX11.0.0.



License requirements : None

NXOpen::SelectBodyList* NXOpen::Tooling::DieInsertBuilder::SelectScrap ( )

Returns the select scraps for pierce insert design.


Created in NX11.0.0.

License requirements : None

NXOpen::SelectBodyList* NXOpen::Tooling::DieInsertBuilder::SelectUserDefinedDieInsertForEdit ( )

Returns the select user defined insert to edit
Created in NX11.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Tooling::DieInsertBuilder::SelectVector ( )

Returns the select vector
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::DieInsertBuilder::SetBoundingBoxType ( NXOpen::Tooling::DieInsertBuilder::BoundingBoxTypeItems  boundingBoxType)

Sets the bounding box type
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
boundingBoxTypeboundingboxtype
void NXOpen::Tooling::DieInsertBuilder::SetBoxPosition ( const NXOpen::Point3d csysOrigin)

Sets the position of csys for box.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
csysOrigincsysorigin
void NXOpen::Tooling::DieInsertBuilder::SetConceptDesign ( bool  conceptDesign)

Sets the value indicating if the design is for a concept.

True indicates it is a concept design.
Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
conceptDesignIndicates whether it is a concept design
void NXOpen::Tooling::DieInsertBuilder::SetDieInsertType ( NXOpen::Tooling::DieInsertBuilder::DieInsertTypeItems  dieInsertType)

Sets the die insert type.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
dieInsertTypedieinserttype
void NXOpen::Tooling::DieInsertBuilder::SetDieStandardInsertInstance ( NXOpen::TaggedObject dieStandardInsertInstance)

Sets the die standard insert instance.


Created in NX11.0.0.

License requirements : None

Parameters
dieStandardInsertInstanceSpecifies the die standard insert instance
void NXOpen::Tooling::DieInsertBuilder::SetInsertMode ( NXOpen::Tooling::DieInsertBuilder::InsertModeItems  insertMode)

Sets the insert mode
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
insertModeinsertmode
void NXOpen::Tooling::DieInsertBuilder::SetManipulatorToMatrixAndPosition ( const NXOpen::Matrix3x3 matrix,
const NXOpen::Point3d position 
)

Sets box csys matrix.


Created in NX11.0.0.

License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
matrixmatrix
positionposition
void NXOpen::Tooling::DieInsertBuilder::SetNewPartNames ( const NXString newPartNames)

Sets the new component names.


Created in NX11.0.0.

License requirements : None

Parameters
newPartNamesSpecifies the new component names
void NXOpen::Tooling::DieInsertBuilder::SetNewPartNames ( const char *  newPartNames)

Sets the new component names.


Created in NX11.0.0.

License requirements : None

Parameters
newPartNamesSpecifies the new component names
void NXOpen::Tooling::DieInsertBuilder::SetParentPartName ( const NXString parentPartName)

Sets the parent part name to create insert.


Created in NX11.0.0.

License requirements : None

Parameters
parentPartNameSpecifies the parent part name
void NXOpen::Tooling::DieInsertBuilder::SetParentPartName ( const char *  parentPartName)

Sets the parent part name to create insert.


Created in NX11.0.0.

License requirements : None

Parameters
parentPartNameSpecifies the parent part name
void NXOpen::Tooling::DieInsertBuilder::SetPosition ( NXOpen::Tooling::DieInsertBuilder::PositionItems  position)

Sets the die insert position.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
positionposition
void NXOpen::Tooling::DieInsertBuilder::SetRenameDialog ( bool  renameDialog)

Sets the rename dialog option for normal pierce design.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
renameDialogIndicates the rename dialog option for normal pierce design
void NXOpen::Tooling::DieInsertBuilder::SetSelectVector ( NXOpen::Direction selectVector)

Sets the select vector
Created in NX11.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
selectVectorselectvector
void NXOpen::Tooling::DieInsertBuilder::SetUserDefinedDieInsertClearance ( double  userDefinedDieInsertClearance)

Sets the user defined die insert clearance
Created in NX11.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
userDefinedDieInsertClearanceIndicates the false body clearance value of user defined die or backing insert
void NXOpen::Tooling::DieInsertBuilder::SetWithoutFalseBody ( bool  withoutFalseBody)

Sets the option of whether to create false body for die or backing insert.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
withoutFalseBodyIndicates whether to create false body
void NXOpen::Tooling::DieInsertBuilder::StandardDieInsert ( )

Insert the standard die by invoking standard part management dialog
Created in NX11.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Tooling::DieInsertBuilder::UserDefinedDieInsertClearance ( )

Returns the user defined die insert clearance
Created in NX11.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Tooling::DieInsertBuilder::UserDefinedDieInsertHeight ( )

Returns the user defined die insert height
Created in NX11.0.0.



License requirements : None

bool NXOpen::Tooling::DieInsertBuilder::WithoutFalseBody ( )

Returns the option of whether to create false body for die or backing insert.


Created in NX11.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.